# PrivateCrossConnectsApi

## PrivateCrossConnectsApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                     | HTTP request             | Description                             |
| ------------------------------------------ | ------------------------ | --------------------------------------- |
| [**pccs\_delete**](#pccs_delete)           | **DELETE** /pccs/{pccId} | Delete private Cross-Connects           |
| [**pccs\_find\_by\_id**](#pccs_find_by_id) | **GET** /pccs/{pccId}    | Retrieve private Cross-Connects         |
| [**pccs\_get**](#pccs_get)                 | **GET** /pccs            | List private Cross-Connects             |
| [**pccs\_patch**](#pccs_patch)             | **PATCH** /pccs/{pccId}  | Partially modify private Cross-Connects |
| [**pccs\_post**](#pccs_post)               | **POST** /pccs           | Create a Private Cross-Connect          |

## **pccs\_delete**

> pccs\_delete(pcc\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete private Cross-Connects

Remove the specified private Cross-Connect (only if not connected to any data centers).

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.PrivateCrossConnectsApi(api_client)
    pcc_id = 'pcc_id_example' # str | The unique ID of the private Cross-Connect.
    try:
        # Delete private Cross-Connects
        api_instance.pccs_delete(pcc_id)
    except ApiException as e:
        print('Exception when calling PrivateCrossConnectsApi.pccs_delete: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **pcc\_id**             | **str**  | The unique ID of the private Cross-Connect.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **pccs\_find\_by\_id**

> PrivateCrossConnect pccs\_find\_by\_id(pcc\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve private Cross-Connects

Retrieve a private Cross-Connect by the resource ID. Cross-Connect ID is in the response body when the private Cross-Connect is created, and in the list of private Cross-Connects, returned by GET.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.PrivateCrossConnectsApi(api_client)
    pcc_id = 'pcc_id_example' # str | The unique ID of the private Cross-Connect.
    try:
        # Retrieve private Cross-Connects
        api_response = api_instance.pccs_find_by_id(pcc_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling PrivateCrossConnectsApi.pccs_find_by_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **pcc\_id**             | **str**  | The unique ID of the private Cross-Connect.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**PrivateCrossConnect**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/privatecrossconnect)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **pccs\_get**

> PrivateCrossConnects pccs\_get(pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

List private Cross-Connects

List all private Cross-Connects for your account.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.PrivateCrossConnectsApi(api_client)
    try:
        # List private Cross-Connects
        api_response = api_instance.pccs_get()
        print(api_response)
    except ApiException as e:
        print('Exception when calling PrivateCrossConnectsApi.pccs_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**PrivateCrossConnects**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/privatecrossconnects)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **pccs\_patch**

> PrivateCrossConnect pccs\_patch(pcc\_id, pcc, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Partially modify private Cross-Connects

Update the properties of the specified private Cross-Connect.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.PrivateCrossConnectsApi(api_client)
    pcc_id = 'pcc_id_example' # str | The unique ID of the private Cross-Connect.
    pcc = ionoscloud.PrivateCrossConnectProperties() # PrivateCrossConnectProperties | The properties of the private Cross-Connect to be updated.
    try:
        # Partially modify private Cross-Connects
        api_response = api_instance.pccs_patch(pcc_id, pcc)
        print(api_response)
    except ApiException as e:
        print('Exception when calling PrivateCrossConnectsApi.pccs_patch: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                                                                                                           | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **pcc\_id**             | **str**                                                                                                                                        | The unique ID of the private Cross-Connect.                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pcc**                 | [**PrivateCrossConnectProperties**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/privatecrossconnectproperties) | The properties of the private Cross-Connect to be updated.                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **pretty**              | **bool**                                                                                                                                       | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                                                                                                        | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                                                                                                        | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**PrivateCrossConnect**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/privatecrossconnect)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **pccs\_post**

> PrivateCrossConnect pccs\_post(pcc, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Create a Private Cross-Connect

Creates a private Cross-Connect.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.PrivateCrossConnectsApi(api_client)
    pcc = ionoscloud.PrivateCrossConnect() # PrivateCrossConnect | The private Cross-Connect to create.
    try:
        # Create a Private Cross-Connect
        api_response = api_instance.pccs_post(pcc)
        print(api_response)
    except ApiException as e:
        print('Exception when calling PrivateCrossConnectsApi.pccs_post: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                                                                                       | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **pcc**                 | [**PrivateCrossConnect**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/privatecrossconnect) | The private Cross-Connect to create.                                                                                                                                                                                                                                                                                                                                                                                                     |                                |
| **pretty**              | **bool**                                                                                                                   | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                                                                                    | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                                                                                    | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**PrivateCrossConnect**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/privatecrossconnect)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json
